> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get endpoint events

> Operacion: Get endpoint events.



## OpenAPI

````yaml /generated/specs/diagnostics.json get /api/v1/emnify/endpoint/{endpointId}/events
openapi: 3.0.0
info:
  title: Raul API - Diagnostico
  description: Health, consumo, conectividad, SIMs, webhooks fallidos y estados tecnicos.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/emnify/endpoint/{endpointId}/events:
    get:
      tags:
        - Endpoint Management
      summary: Get endpoint events
      description: 'Operacion: Get endpoint events.'
      operationId: EndpointManagementController_getEndpointEvents
      parameters:
        - name: endpointId
          required: true
          in: path
          description: Emnify endpoint ID
          schema:
            type: number
        - name: page
          required: false
          in: query
          description: 'Page number (default: 1)'
          schema:
            type: number
        - name: per_page
          required: false
          in: query
          description: 'Items per page (default: 50)'
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointEventsResponseDto'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmnifyErrorDto'
      security:
        - bearerAuth: []
components:
  schemas:
    EndpointEventsResponseDto:
      type: object
      properties:
        events:
          type: array
          items:
            $ref: '#/components/schemas/EndpointEventDto'
        count:
          type: number
      required:
        - events
        - count
    EmnifyErrorDto:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
      required:
        - error
        - message
    EndpointEventDto:
      type: object
      properties:
        id:
          type: number
        timestamp:
          type: string
        event_type:
          $ref: '#/components/schemas/EndpointEventTypeDto'
        event_severity:
          $ref: '#/components/schemas/EndpointEventSeverityDto'
        event_source:
          $ref: '#/components/schemas/EndpointEventSourceDto'
        description:
          type: object
        detail:
          type: object
      required:
        - id
        - timestamp
    EndpointEventTypeDto:
      type: object
      properties:
        id:
          type: number
        description:
          type: string
      required:
        - id
        - description
    EndpointEventSeverityDto:
      type: object
      properties:
        id:
          type: number
        description:
          type: string
      required:
        - id
        - description
    EndpointEventSourceDto:
      type: object
      properties:
        id:
          type: number
        description:
          type: string
      required:
        - id
        - description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````